require 'Stands4/version'
require 'httparty'

module Stands4
	include HTTParty
	base_uri 'stands4.com'

	def self.configure(uid, tokenid)
		@@uid = uid
		@@tokenid = tokenid
	end

	def self.abbr(term)
		options = {
			:query => { :uid => @@uid, :tokenid => @@tokenid,
									:term => term }
		}
		results = get('/services/v2/abbr.php', options)
	end

	def self.zip(zip)
		options = {
			:query => { :uid => @@uid, :tokenid => @@tokenid,
									:zip => zip }
		}
		results = get('/services/v2/zip.php', options)
	end

	def self.defs(word)
		options = {
			:query => { :uid => @@uid, :tokenid => @@tokenid,
									:word => word }
		}
		results = get('/services/v2/defs.php', options)
	end

	def self.rhymes(term)
		options = {
			:query => { :uid => @@uid, :tokenid => @@tokenid,
									:term => term }
		}
		results = get('/services/v2/rhymes.php', options)
	end

	def self.conv(expression)
		options = {
			:query => { :uid => @@uid, :tokenid => @@tokenid,
									:expression => expression }
		}
		results = get('/services/v2/conv.php', options)
	end

	def self.syno(word)
		options = {
			:query => { :uid => @@uid, :tokenid => @@tokenid,
									:word => word }
		}
		results = get('/services/v2/syno.php', options)
	end

	def self.phrases(phrase)
		options = {
			:query => { :uid => @@uid, :tokenid => @@tokenid,
									:phrase => phrase }
		}
		results = get('/services/v2/phrases.php', options)
	end

	def self.quotes(searchtype='RANDOM', query='')
		options = {
			:query => { :uid => @@uid, :tokenid => @@tokenid,
									:searchtype => searchtype, :query => query, }
		}
		results = get('/services/v2/quotes.php', options)
	end

end
